pyFLTK: Python Wrapper for the FLTK library.
--------------------------------------------

GOALS:
o To wrap FLTK in Python 
o To develop a parser to read Fluid's FL files and generate
  Python code.
o To port all programs in test/ to Python using pyFLTK
 

If you'd like to help out, I'd suggest using the pyfltk mailing list
(at the bottom) to coordinate who's working on what. 

1) This wrapper requires:
	-SWIG 1.3.30 or later (only for rebuilding)
	-Python 2.4 or later
	-Fast Light Toolkit 1.1.7 or later

2) Restrictions
   At present, the Python wrapper has been ported and a first alpha
   release of flconvert is available.

   

3) To build the wrappers do the following: (see INSTALL for more
   details):
	python setup.py build
	python setup.py install
   You might have to edit setup.py to fit your platform. 
   
   
4) 'cd fltk/test; python hello.py' to run a python test.


o ./test contains demo programs from the FLTK distribution reimplemented
  in Python.  For Python, you can run ./test/demos.py for a little
  menu of the demos



On the web:
-----------
pyFLTK home page: http://pyfltk.sourceforge.net



Leads:
------
Python: Andreas Held  a.held@computer.org


Contributors:
-------------
- Gregg Ercolano


Mailing List:
-------------
http://lists.sourceforge.net/lists/listinfo/pyfltk-user


Thanks:
------

Especial thanks to Kevin Dalhausen, the originator of pyFLTK. He did
such a good job, the rest was easy.
Many thanks to the creators of fltk (www.fltk.org), the best, fastest
and lightest toolkit there is!
Finally, not to forget the creators of SWIG (www.swig.org) a unique
tool for doing what I've done here.












